﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <Version Condition=" '$(Configuration)' == 'Debug' AND '$(APPVEYOR_BUILD_VERSION)' != '' ">$(APPVEYOR_BUILD_VERSION)-rc</Version>
    <Version Condition=" '$(Configuration)' == 'Release' AND '$(APPVEYOR_BUILD_VERSION)' != '' ">$(APPVEYOR_BUILD_VERSION)</Version>
    <Version Condition=" '$(APPVEYOR_REPO_BRANCH)' == 'develop' AND '$(APPVEYOR_BUILD_VERSION)' != '' ">$(APPVEYOR_BUILD_VERSION)-rc</Version>
    <AssemblyName>LiteLoader.Core</AssemblyName>
    <Authors>KahunaElGrande</Authors>
    <Description>The core component and the brains of LiteLoader</Description>
    <PackageLicenseExpression>MIT</PackageLicenseExpression>
    <Copyright>Copyright (c) 2019-$([System.DateTime]::Now.Year) $(Authors)</Copyright>
    <PackageTags>api framework gaming modding plugins</PackageTags>
    <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
    <RootNamespace>LiteLoader</RootNamespace>
    <TargetFrameworks>netstandard20;net471;net46;net45;net40;net35</TargetFrameworks>
    <FrameworkPathOverride Condition="'$(TargetFramework)' == 'net35' And '$(OS)' == 'Windows_NT'">C:\Program Files (x86)\Reference Assemblies\Microsoft\Framework\.NETFramework\v3.5\Profile\Client</FrameworkPathOverride>
    <FrameworkPathOverride Condition="'$(TargetFramework)' == 'net35' And '$(OS)' == 'OSX'">/Library/Frameworks/Mono.framework/Versions/Current/lib/mono/2.0-api</FrameworkPathOverride>
    <PackageRequireLicenseAcceptance>true</PackageRequireLicenseAcceptance>
    <PackageIconUrl>https://crackedgameservers.com/img/favicon.png</PackageIconUrl>
    <RepositoryUrl>https://gitlab.com/cracked-game-servers/liteloader/liteloader.core</RepositoryUrl>
    <PackageProjectUrl>https://gitlab.com/cracked-game-servers/liteloader/liteloader.core</PackageProjectUrl>
    <RepositoryType>git</RepositoryType>
    <PackageReleaseNotes Condition=" '$(APPVEYOR_REPO_COMMIT_MESSAGE_EXTENDED)' != '' ">$(APPVEYOR_REPO_COMMIT_MESSAGE) $(APPVEYOR_REPO_COMMIT_MESSAGE_EXTENDED)</PackageReleaseNotes>
    <PackageReleaseNotes Condition=" '$(APPVEYOR_REPO_COMMIT_MESSAGE_EXTENDED)' == '' ">$(APPVEYOR_REPO_COMMIT_MESSAGE)</PackageReleaseNotes>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="LiteLoader.Abstractions" Version="1.0.*" />
  </ItemGroup>
</Project>
